Search NASA⌕ Search

SEARCH · Search NASA

Results for “Approximate computing”

Search indexed NASA NTRS and DOE OSTI research on propulsion, heat transfer, battery materials and energy systems. Follow report and document links to the original sources.

Quote a phrase for an exact phrase match. Source license links do not imply unrestricted reuse.

At least 1,513 records · Page 84

The simultaneous integration of many trajectories using nilpotent normal forms

Taylor's formula shows how to approximate a certain class of functions by polynomials. The approximations are arbitrarily good in some neighborhood whenever the function is analytic and they are easy to compute. The main goal is to give an efficient algorithm to approximate a neighborhood of the configuration space of a dynamical system by a nilpotent, explicitly integrable dynamical system. The major areas covered include: an approximating map; the generalized Baker-Campbell-Hausdorff formula; the Picard-Taylor method; the main theorem; simultaneous integration of trajectories; and examples.

Grayson, Matthew A.↗

Computer simulation of the effect of dDAVP with saline loading on fluid balance after 24-hour head-down tilt

Fluid loading (FL) before Shuttle reentry is a countermeasure currently in use by NASA to improve the orthostatic tolerance of astronauts during reentry and postflight. The fluid load consists of water and salt tablets equivalent to 32 oz (946 ml) of isotonic saline. However, the effectiveness of this countermeasure has been observed to decrease with the duration of spaceflight. The countermeasure's effectiveness may be improved by enhancing fluid retention using analogs of vasopressin such as lypressin (LVP) and desmopressin (dDAVP). In a computer simulation study reported previously, we attempted to assess the improvement in fluid retention obtained by the use of LVP administered before FL. The present study is concerned with the use of dDAVP. In a recent 24-hour, 6 degree head-down tilt (HDT) study involving seven men, dDAVP was found to improve orthostatic tolerance as assessed by both lower body negative pressure (LBNP) and stand tests. The treatment restored Luft's cumulative stress index (cumulative product of magnitude and duration of LBNP) to nearly pre-bedrest level. The heart rate was lower and stroke volume was marginally higher at the same LBNP levels with administration of dDAVP compared to placebo. Lower heart rates were also observed with dDAVP during stand test, despite the lower level of cardiovascular stress. These improvements were seen with only a small but significant increase in plasma volume of approximately 3 percent. This paper presents a computer simulation analysis of some of the results of this HDT study.

NASA Discipline Cardiopulmonary↗

Assessing the Optimality of LinDist3Flow for Optimal Tap Selection of Step Voltage Regulators in Unbalanced Distribution Networks

The adoption of distributed energy resources such as photovoltaics (PVs) has increased dramatically during the previous decade. The increased penetration of PVs into distribution networks (DNs) can cause voltage fluctuations that have to be mitigated. One of the key utility assets employed to this end are step-voltage regulators (SVRs). It is desirable to include tap selection of SVRs in optimal power flow (OPF) routines, a task that turns out to be challenging because the resultant OPF problem is nonconvex with added complexities stemming from accurate SVR modeling. While several convex relaxations based on semi-definite programming (SDP) have been presented in the literature for optimal tap selection, SDP based schemes do not scale well and are challenging to implement in large-scale planning or operational frameworks. This paper deals with the optimal tap selection (OPTS) problem for wye-connected SVRs using linear approximations of power flow equations. Specifically, the LinDist3Flow model is adopted and the effective SVR ratio is assumed to be continuous- enabling the formulation of a problem called LinDist3Flow-OPTS, which amounts to a linear program. The scalability and optimality gap of LinDist3Flow-OPTS are evaluated with respect to existing SDP-based and nonlinear programming techniques for optimal tap selection in three standard feeders, namely, the IEEE 13-bus, 123-bus, and 8500-node DNs. For all DNs considered, LinDist3Flow-OPTS achieves an optimality gap of approximately 1% or less while significantly lowering the computational burden.

linear approximations↗

Adaptive mesh refinement and turbulence modeling

Adaptive mesh refinement is shown to be essential in turbulence modeling. Adaptive Mesh Refinement (AMR) is a more computationally efficient means to obtain a discrete approximation to a continuous boundary value problem of a specified accuracy than classic isotropic grid refinement. Previous application of this methodology in the assessment of turbulence models suggested that the field variable solution on the interior of the domain was more sensitive to grid refinement than would be suggested by the sensitivity to grid refinement of surface quantities. Revisiting challenging high speed flow field revealed that issues believed to be fundamental turbulence model issues appear to be related to an under-resolved boundary layer edge – a flow detail previously considered unimportant.

Hypersonics↗

A computationally efficient method for tempered fractional differential equations with application

This paper investigates the numerical approximation of the tempered fractional integral by using the Sinc-collocation scheme. The algorithm is extended to solve a class of tempered fractional differential equations that converges to the solution with exponential rate. Several numerical examples compare the numerical approximations with the exact solutions. The behavioral responses of the lumped capacitance model with tempered fractional order for transient conduction are investigated. The efficiency and accuracy of the proposed scheme are analyzed in the perspective of the L{sub 2}-norm error and convergence order.

97 MATHEMATICS AND COMPUTING↗

Analysis and Simulation of One-Dimensional Transport Models for Lithium Symmetric Cells

The main objective of this paper is to analyze transport models for lithium symmetric cells and arrive at an efficient model and code to simulate the same. Two one-dimensional models are considered. The first model uses the dilute solution Nernst–Planck equations in conjunction with the electroneutrality assumption (EN-NP model). For binary electrolytes, an analytical solution for electrolyte concentration is derived and compared with numerical solutions by an approximate finite volume method. The second approach relaxes the electroneutrality assumption by way of Poisson’s equation for the electrostatic potential (PNP model). The computational difficulties of the PNP model are tackled using the approximate finite volume method, with demonstrated convergence characteristics even with bulk dimensions several orders of magnitude larger than the characteristic double layer size. A robust code is developed for the PNP model. The computationally efficient transport models can facilitate simulations, physical understanding, and analysis. This is illustrated by a case study in which these models are coupled with modified kinetic models, which are then parameterized with experimental voltage response data using a systems-level approach. The estimated parameters provide further insight into the electrochemical phenomena underpinning voltage transitions in symmetric cells.

25 ENERGY STORAGE↗

A General Framework for Bounding Approximate Dynamic Programming Schemes

For years, there has been interest in approximation methods for solving dynamic programming problems, because of the inherent complexity in computing optimal solutions characterized by Bellman’s principle of optimality. A wide range of approximate dynamic programming (ADP) methods now exists. It is of great interest to guarantee that the performance of an ADP scheme be at least some known fraction, say ß , of optimal. This letter introduces a general approach to bounding the performance of ADP methods, in this sense, in the stochastic setting. The approach is based on new results for bounding greedy solutions in string optimization problems, where one has to choose a string (ordered set) of actions to maximize an objective function. This bounding technique is inspired by submodularity theory, but submodularity is not required for establishing bounds. Instead, the bounding is based on quantifying certain notions of curvature of string functions; the smaller the curvatures the better the bound. The key insight is that any ADP scheme is a greedy scheme for some surrogate string objective function that coincides in its optimal solution and value with those of the original optimal control problem. The ADP scheme then yields to the bounding technique mentioned above, and the curvatures of the surrogate objective determine the value ß of the bound. The surrogate objective and its curvatures depend on the specific ADP.

discrete event systems↗

Evaluating Space Object Conjunction Probabilities Using Characteristic Function Inversion

This report discusses an approach to computing the probability of a conjunction between two space objects in the short-term encounter scenario. A conjunction is defined here as an event where the miss distance between the objects is less than some specified value. The scenario assumptions are that the motion of the objects is linear, their positions are Gaussian distributed, and their velocities are known and constant. Under these assumptions, the squared-miss distance is shown to have the generalized chi-square distribution. An established statistical technique called characteristic function inversion is employed to evaluate the distribution and obtain conjunction probabilities. The method is closely related to a recent approach based on moment generating function inversion, and a qualitative comparison of the approaches is provided. Last, the method is tested on several benchmark test cases where it agrees with numerical integration on the cases with conjunction probabilities above 10 –12 . However, the exact probability in these cases is usually not needed and this probability can be bounded above using an independent Gaussian approximation. Overall, the report shows how to compute conjunction probabilities using a standard statistical method, though numerical integration seems to perform equally well.

71 CLASSICAL AND QUANTUM MECHANICS, GENERAL PHYSIC↗

Gradient Coding With Iterative Block Leverage Score Sampling

Gradient coding is a method for mitigating straggling servers in a centralized computing network that uses erasure-coding techniques to distributively carry out first-order optimization methods. Randomized numerical linear algebra uses randomization to develop improved algorithms for large-scale linear algebra computations. In this study, we propose a method for distributed optimization that combines gradient coding and randomized numerical linear algebra. The proposed method uses a randomized ℓ 2 -subspace embedding and a gradient coding technique to distribute blocks of data to the computational nodes of a centralized network, and at each iteration the central server only requires a small number of computations to obtain the steepest descent update. The novelty of our approach is that the data is replicated according to importance scores, called block leverage scores, in contrast to most gradient coding approaches that uniformly replicate the data blocks. Furthermore, we do not require a decoding step at each iteration, avoiding a bottleneck in previous gradient coding schemes. We show that our approach results in a valid ℓ 2 -subspace embedding, and that our resulting approximation converges to the optimal solution.

97 MATHEMATICS AND COMPUTING↗

Numerical simulation of viscous vortex rings

Vortex interactions and their role in turbulent flow are examined. The objectives are twofold. First, to use the existing axisymmetric code to study the annihilation process of colliding vortex rings and determine the relevance of this problem to similar 3-D phenomena. The second objective is to extend the code to three dimensions. The code under development is unique in that it can compute flows in a truly infinite domain (i.e., without periodic boundary conditions or approximations from truncating the domain). Because of this, the far field sound can be computed, and therefore, contribute to improved models of turbulence generated noise for this class of flows. Issues which can be addressed by the code include: effects of viscosity on mode selection in azimuthal breakdown of vortex rings (i.e., the Widnall instability); reconnection, the associated production of small scales, and the time scale of the process.

Stanaway, Sharon Kay↗

Minimum-fuel, power-limited transfers between coplanar elliptical orbits

Two techniques of computing coplanar, minimum-fuel, power-limited transfers are presented, based on approximate solutions obtained by the averaging method. For the first technique, the average solution provides estimates of the initial adjoint variables, and the second provides approximations of the optimal controls in feedback form. The accuracy of the techniques for computing coplanar, minimum-fuel, power-limited transfers is evaluated for a number of initial and final orbits.

Mease, Kenneth D.↗

Lumped-Parameter Representation of Wind Tunnel

Mathematical model of proposed wind-tunnel facility represents wind-tunnel circuit and associated equipment in terms of lumped-parameter components. Requires less computational effort and computing time than full three-dimensional aerodynamic computer analysis of system with many volume elements. Approximates distributed nature of wind tunnel well enough to simulate steady-state and transient behavior for analysis of proposed control subsystems and for training of operators. Lumped-parameter circuit model represents wind tunnel and associated equipment. Implemented on analog or digital computers to simulate wind-tunnel performance without risk to operators or equipment.

Krosel, Susan M.↗

A guide to the design of the virtual element methods for second- and fourth-order partial differential equations

Here we discuss the design and implementation details of two conforming virtual element methods for the numerical approximation of two partial differential equations that emerge in phase-field modeling of fracture propagation in elastic material. The two partial differential equations are: (i) a linear hyperbolic equation describing the momentum balance and (ii) a fourth-order elliptic equation modeling the damage of the material. Inspired by, we develop a new conforming VEM for the discretization of the two equations, which is implementation-friendly, i.e., different terms can be implemented by exploiting a single projection operator. We use C 0 and C 1 virtual elements for the second-and fourth-order partial differential equation, respectively. For both equations, we review the formulation of the virtual element approximation and discuss the details pertaining the implementation.

42 ENGINEERING↗

Reduced-Cost Four-Component Relativistic Double Ionization Potential Equation-of-Motion Coupled-Cluster Approaches with 4-Hole–2-Particle Excitations and Three-Body Clusters

The double ionization potential (DIP) equation-ofmotion (EOM) coupled-cluster (CC) method with 4-hole−2- particle (4h-2p) excitations on top of the CC with singles, doubles, and triples calculation, abbreviated as DIP-EOMCCSDT(4h-2p), along with its perturbative DIP-EOMCCSD(T)(a)(4h-2p) approximation, are extended to a relativistic four-component (4c) framework. In addition, we introduce and test a new computationally practical DIP-EOMCC approach, which we call DIPEOMCCSD( T)(ã)(4h-2p), that approximates the treatment of 4h- 2p correlations within the DIP-EOMCCSD(T)(a)(4h-2p) method and reduces the $\mathcal{N}$ 8 scaling characterizing DIP-EOMCCSDT(4h- 2p) and DIP-EOMCCSD(T)(a)(4h-2p) to $\mathcal{N}$ 7 with the system size $\mathcal{N}$. Further improvements in computational efficiency are obtained using the frozen natural spinor (FNS) approximation to reduce the numbers of unoccupied spinors entering the correlated steps of the DIP-EOMCC calculations according to a well-defined occupation-number-based threshold. The resulting 4c-FNS-DIPEOMCC approaches are used to compute DIPs for the series of inert gas atoms from argon to radon as well as the vertical DIPs in Cl 2 , Br 2 , HBr, and HI, which have been experimentally examined in the past. We demonstrate that, when using complete basis set extrapolations and FNS truncation threshold of 10 −4.5 , the 4c-FNS-DIP-EOMCCSD(T)(ã)(4h-2p) calculations are capable of predicting DIPs in agreement with experimental data, improving upon their nonrelativistic and spin-free scalar-relativistic counterparts, particularly when examining DIPs characterized by stronger spin−orbit coupling effects.

37 INORGANIC, ORGANIC, PHYSICAL, AND ANALYTICAL CH↗

Fast Reactor Methods Development Plan

Fast reactor design and safety analysis methods (computer codes) have been under development for approximately sixty years. During the first forty years, code development was driven by the immediate needs of operational facilities such as Experimental Breeder Reactors I and II and the Fast Flux Test Facility. Development was further driven by programmatic needs to support advanced reactor programs such as the Clinch River Breeder Reactor Project and the Advanced Liquid Metal Reactor Program. By the early 1990s, design and safety analysis codes had been well established to addressed the unique characteristics of fast reactors. During the subsequent twenty years, however, development was nearly stagnant as a result of U.S. Government policy changes that abruptly canceled nearly all of the fast reactor research in the United States. As a result, the state of fast reactor design and safety analysis methods has deteriorated.

22 GENERAL STUDIES OF NUCLEAR REACTORS↗

A diagonal algorithm for the method of pseudocompressibility

The method of pseudocompressibility has been shown to be an efficient method for obtaining a steady-state solution to the incompressible Navier-Stokes equations. Recent improvements to this method include the use of a diagonal scheme for the inversion of the equations at each iteration. The necessary transformations have been derived for the pseudocompressibility equations in generalized coordinates. The diagonal algorithm reduces the computing time necessary to obtain a steady-state solution by a factor of nearly three. Implicit viscous terms are maintained in the equations, and it has become possible to use fourth-order implicit dissipation. The steady-state solution is unchanged by the approximations resulting from the diagonalization of the equations. Computed results for flow over a two-dimensional backward-facing step and a three-dimensional cylinder mounted normal to a flat plate are presented for both the old and new algorithms. The accuracy and computing efficiency of these algorithms are compared.

Rogers, S. E.↗

Optimal Placement Of Multiple Antennas

Computer program based on pair of algorithms selects approximately optimal locations of antennas and approximately optimal number of elements in each antenna of multiple-antenna communication system. Obscuration in field of view at given antenna location taken into account in choice of number of antenna elements mounted there. Directional coverages of combinations of up to four antenna elements computed in search for combination to cover clear portion of field of view. Developed to aid design of antenna system of conceptual space station. Applied to system aboard ship or aircraft, on building in city, or in any location where transmission and reception blocked in some directions from each potential antenna-mounting point.

Shelton, Kyle W.↗

A Diagonal Algorithm for the Method of Pseudocompressibility

The method of pseudocompressibility has been found to be an efficient method for obtaining a steady-state solution to the incompressible Navier-Stokes equations. Recent improvements to this method include the use of a diagonal scheme for the inversion of the equations equations at each iteration. The necessary transformations have been derived for the pseudocompressibility equations in generalized coordinates. The diagonal algorithm reduces the computing time necessary to obtain a steady-state solution by a factor of nearly three. Implicit viscous terms are maintained in the equations, and it has become possible to use fourth-order implicit dissipation. The steady-state solution is unchanged by the approximations resulting from the diagonalization of the equations. Computed results for flow over a two-dimensional backward-facing step and a three-dimensional cylinder mounted normal to a flat plate are presented for both the old and new algorithms. The computing efficiency of these algorithms are compared. Identical solutions are obtained from both algorithms which compare well with experimental results.

Rogers, Stuart E.↗